[pulseaudio] 04/05: Trigger a udev reload after configure
Felipe Sateler
fsateler at moszumanska.debian.org
Wed Dec 3 13:25:57 UTC 2014
This is an automated email from the git hooks/post-receive script.
fsateler pushed a commit to branch debian/experimental
in repository pulseaudio.
commit 83f1d4ac2cb5f89ffecb204329089b5c5314eb85
Author: Felipe Sateler <fsateler at debian.org>
Date: Wed Dec 3 10:02:33 2014 -0300
Trigger a udev reload after configure
---
debian/pulseaudio.postinst | 9 +++++++++
1 file changed, 9 insertions(+)
diff --git a/debian/pulseaudio.postinst b/debian/pulseaudio.postinst
index 7f01bf3..8f56cc8 100644
--- a/debian/pulseaudio.postinst
+++ b/debian/pulseaudio.postinst
@@ -16,6 +16,14 @@ set -e
PULSEAUDIO=/usr/bin/pulseaudio
+trigger_udev() {
+ if ! which udevadm >/dev/null 2>&1 ; then
+ return 0;
+ fi
+ udevadm control --reload-rules
+ udevadm trigger --subsystem-match=sound --action=change
+}
+
case "$1" in
configure)
if ! getent passwd pulse >/dev/null; then
@@ -27,6 +35,7 @@ case "$1" in
if ! getent group pulse-access >/dev/null; then
addgroup --quiet --system pulse-access
fi
+ trigger_udev
;;
abort-upgrade|abort-remove|abort-deconfigure)
;;
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-pulseaudio/pulseaudio.git
More information about the pkg-pulseaudio-devel
mailing list